define(function(require) {
	var $ = require("jquery");
	var justep = require("$UI/system/lib/justep");

	var Model = function() {
		this.callParent();
	};

	// 转换截取一段字符串
	Model.prototype.transSTR = function(str) {

		//$model.transSTR($object.val('msgcontent'))
		var le = 5;
		if (str.length > le) {
			return str.substring(0, le) + "...";
		} else {
			return str;
		}

	};

	//系统消息 刷新
	Model.prototype.sysMsgDataCustomRefresh = function(event) {
		var data = event.source;

		// 请求参数 uid 用户名 密码
		var params = {
			"uid" : userData.val('uid'),
			"username" : userData.val('username'),
			"password" : userData.val('password'),
			"agencyid" : sysAgencyId,

			// 列定义，里面包含列名和列数据类型
			"columns" : data.getColumnIDs(),
			// 分页信息 – 行数
			"limit" : event.limit,
			// 分页信息 – 行偏移
			"offset" : event.offset
		};

		// /////////////// 请求成功后的回调方法
		var success = function(resultData) {
			// 判断用户验证是否通过
			if (resultData.success) {
				// 成功 继续自己的功能
				if(event.offset==0){
					data.loadData(resultData.result);
				}else{
					data.loadData(resultData.result, true);
				}
				
			} else {
				// 失败 提示错误代码
				justep.Util.hint("登录失效!请重新登录!", {
					"position" : "bottom"
				});
			}
		};

		// ///////////////// 获取系统消息
		justep.Baas.sendRequest({
			"url" : "/school/school", // servlet请求地址
			"action" : "getSysMsg", // action
			"async" : true,
			"params" : params, // action对应的参数
			"success" : success,
			"error":function(){
				justep.Util.hint("请检查网络连接!");
			}
		// 请求成功后的回调方法
		});
	};

	//个人消息 刷新
	Model.prototype.myMsgDataCustomRefresh = function(event) {
	
	
		//老师没有个人消息
		var sid = userData.val('sid');
		if(sid!=null&&sid!=""){
			

			var data = event.source;
	
			//alert("系统参数 机构id "+sysAgencyId);
	
			// 请求参数 uid 用户名 密码
			var params = {
				"uid" : userData.val('uid'),
				"username" : userData.val('username'),
				"password" : userData.val('password'),
				"agencyid" : sysAgencyId,
				"sid" : userData.val('sid'),
				// 列定义，里面包含列名和列数据类型
				"columns" : data.getColumnIDs(),
				// 分页信息 – 行数
				"limit" : event.limit,
				// 分页信息 – 行偏移
				"offset" : event.offset
			};
	
			// /////////////// 请求成功后的回调方法
			var success = function(resultData) {
				// 判断用户验证是否通过
				if (resultData.success) {
					// 成功 继续自己的功能
	//				data.loadData(resultData.result);
					
					if(event.offset==0){
						data.loadData(resultData.result);
					}else{
						data.loadData(resultData.result, true);
					}
					
				} else {
					// 失败 提示错误代码
					//alert(resultData.resultCode);
					justep.Util.hint("登录失效!请重新登录!", {
						"position" : "bottom"
					});
				}
			};
	
			// ///////////////// 获取系统消息
			justep.Baas.sendRequest({
				"url" : "/school/school", // servlet请求地址
				"action" : "getUserMsg", // action
				"async" : true,
				"params" : params, // action对应的参数
				"success" : success,
				"error":function(){
					justep.Util.hint("请检查网络连接!");
				}
			// 请求成功后的回调方法
			});
		
		}
	};

	//个人消息 点击弹出 是否删除消息对话框
	Model.prototype.myMsgListClick = function(event) {
		var self = this;
		var row = event.bindingContext.$object;
		var msgid = row.val('msgid');

		this.comp("messageDialogDel").show({
			"title" : "是否删除此条消息?",
			callback : function(evt) {

				if (evt.button === "yes") {
					//确认删除

					// 请求参数 uid 用户名 密码
					var params = {
						"uid" : userData.val('uid'),
						"username" : userData.val('username'),
						"password" : userData.val('password'),

						"msgid" : msgid,
						"sid" : userData.val('sid')

					};

					// /////////////// 请求成功后的回调方法
					var success = function(resultData) {
						// 判断用户验证是否通过
						if (resultData.success) {
							// 成功 继续自己的功能
							justep.Util.hint("删除成功!", {
								"position" : "bottom"
							});

							/////////////// 删除data中的数据

							var myMsgData = self.comp("myMsgData");
							myMsgData.remove(myMsgData.getCurrentRow());

						} else {
							// 失败 提示错误代码
							justep.Util.hint("删除失败!", {
								"position" : "bottom"
							});
						}
					};

					// ///////////////// 删除消息记录
					justep.Baas.sendRequest({
						"url" : "/school/school", // servlet请求地址
						"action" : "delUserMsg", // action
						"async" : true,
						"params" : params, // action对应的参数
						"success" : success,
						"error":function(){
							justep.Util.hint("请检查网络连接!");
						}
					});

				}
			}
		});

	};

	//个人消息 清空
	Model.prototype.button1Click = function(event) {
		var self = this;

		this.comp("messageDialogDel").show({
			"title" : "是否清空个人消息?",
			callback : function(evt) {

				if (evt.button === "yes") {
					//确认删除

					// 请求参数 uid 用户名 密码
					var params = {
						"uid" : userData.val('uid'),
						"username" : userData.val('username'),
						"password" : userData.val('password'),

						"sid" : userData.val('sid')

					};

					// /////////////// 请求成功后的回调方法
					var success = function(resultData) {
						// 判断用户验证是否通过
						if (resultData.success) {
							// 成功 继续自己的功能
							justep.Util.hint("已清空!", {
								"position" : "bottom"
							});

							/////////////// 删除data中的数据

							var myMsgData = self.comp("myMsgData");
							myMsgData.clear();

						} else {
							// 失败 提示错误代码
							justep.Util.hint("清空失败!", {
								"position" : "bottom"
							});
						}
					};

					// ///////////////// 删除消息记录
					justep.Baas.sendRequest({
						"url" : "/school/school", // servlet请求地址
						"action" : "delUserMsgAll", // action
						"async" : true,
						"params" : params, // action对应的参数
						"success" : success,
						"error":function(){
							justep.Util.hint("请检查网络连接!");
						}
					});

				}
			}
		});

	};

	// sys scrollview 加载更多
	Model.prototype.sysScrollViewPullUp = function(event){
		var d = this.comp("sysMsgData");
		d.loadNextPageData();
	};

	//	msg scrollview 加载更多
	Model.prototype.myScrollViewPullUp = function(event){
		var d = this.comp("myMsgData");
		d.loadNextPageData();
	};



	//消息中心 老师没有个人消息 取消个人消息按钮
	Model.prototype.modelLoad = function(event){
	
		var sid = userData.val('sid');
		if(sid==null||sid==""){
		
			var myBtn = this.comp("myBtn");
			myBtn.free();
		
		}

	};

	return Model;
});