define(function(require) {
	var $ = require("jquery");
	var justep = require("$UI/system/lib/justep");

	var Model = function() {
		this.callParent();
	};

	//课程信息
	Model.prototype.lessonDataCustomRefresh = function(event) {
		var data = event.source;

		// 请求参数 uid 用户名 密码
		var params = {
			"uid" : userData.val('uid'),
			"sid" : userData.val('sid'),
			"username" : userData.val('username'),
			"password" : userData.val('password'),
			// 列定义，里面包含列名和列数据类型
			"columns" : data.getColumnIDs(),
			// 分页信息 – 行数
			"limit" : event.limit,
			// 分页信息 – 行偏移
			"offset" : event.offset
		};

		// /////////////// 请求成功后的回调方法
		var success = function(resultData) {
			// 判断用户验证是否通过
			if (resultData.success) {
				// 成功 继续自己的功能
//				data.loadData(resultData.classStudent);
				if(event.offset==0){
					data.loadData(resultData.classStudent);
				}else{
					data.loadData(resultData.classStudent, true);
				}
				
				
			} else {
				// 失败 
				justep.Util.hint(resultData.resultCode);

			}
		};

		// ///////////////// 发送登陆请求
		justep.Baas.sendRequest({
			"url" : "/school/school", // servlet请求地址
			"action" : "queryClassStudent", // action
			"async" : true,
			"params" : params, // action对应的参数
			"success" : success,
			"error":function(){
				justep.Util.hint("请检查网络连接!");
			}
		// 请求成功后的回调方法
		});

	};
	
	
	//我的课程上拉
	Model.prototype.myLessonListPullUp = function(event){
	
		var d = this.comp("lessonData");
		d.loadNextPageData();

	};
	
	

	
	//返回按钮
	Model.prototype.button1Click = function(event) {
		this.comp("titleBar1").set({
			"title" : "我的课程"
		});
	};


	////////////////////签到信息 ////////////////////
	
	//签到信息上拉
	Model.prototype.myLessonSignListPullUp = function(event){
	
		var d = this.comp("lessonSignData");
		d.loadNextPageData();
		
		var l = this.comp("list1");
		l.refresh();

	};
	
	//签到信息
	Model.prototype.lessonSignDataCustomRefresh = function(event){

	
		var self = this;
		var data = event.source;
	
	
	
		// 请求参数 uid 用户名 密码
		var params = {
			"uid" : userData.val('uid'),
			"username" : userData.val('username'),
			"password" : userData.val('password'),
			// 列定义，里面包含列名和列数据类型
			"columns" : data.getColumnIDs(),
			// 分页信息 – 行数
			"limit" : event.limit,
			// 分页信息 – 行偏移
			"offset" : event.offset,
			"student_id" : self.student_id,
			"class_id" : self.class_id

		};
	

		// /////////////// 请求成功后的回调方法
		var success = function(resultData) {
		
		
			// 判断用户验证是否通过
			if (resultData.success) {
				// 成功 继续自己的功能
//				data.loadData(resultData.classStudent);
				
				if(event.offset==0){
					data.loadData(resultData.classStudent);
				}else{
					data.loadData(resultData.classStudent, true);
				}
				
				self.comp("titleBar1").set({
					"title" : self.class_name
				});
			} else {
				// 失败 清空登陆状态，跳转到登陆页面 并提示错误代码
				justep.Util.hint(resultData.resultCode);
				// justep.Shell.showPage("login");
			}
		};
		
		
		
		

		// ///////////////// 发送登陆请求
		justep.Baas.sendRequest({
			"url" : "/school/school", // servlet请求地址
			"action" : "querySignByStudentIdAndClassId", // action
			"async" : true,
			"params" : params, // action对应的参数
			"success" : success,
			"error":function(){
				justep.Util.hint("请检查网络连接!");
			}
		// 请求成功后的回调方法
		});
		

	};

	//签到信息 
	Model.prototype.button3Click = function(event) {
	
	
		
		var row = event.bindingContext.$object;

		var self = this;
		
		//设置data查询参数
		self.student_id = row.val('student_id');
		self.class_id = row.val('class_id');
		self.class_name = row.val('class_name');
		
		
		//刷新data list
		var d = this.comp("list1");
		d.refresh(true);

		
	};
	
	////////////////////缴费信息////////////////////////
	

	//缴费信息上拉
	Model.prototype.myLessonPaymentListPullUp = function(event){
	
		var d = this.comp("lessonPaymentData");
		d.loadNextPageData();
		
		var l = this.comp("LessonPaymentList");
		l.refresh();
	};
	
	
	//缴费信息
	Model.prototype.button2Click = function(event) {
		
		var row = event.bindingContext.$object;

		var self = this;
		
		//设置data查询参数
		self.student_id = row.val('student_id');
		self.class_id = row.val('class_id');
		self.class_name = row.val('class_name');
		
		
		//刷新data list
		var d = this.comp("LessonPaymentList");
		d.refresh(true);
		

		//alert("self.student_id"+self.student_id+" self.class_id"+self.class_id+" self.class_name"+self.class_name);


	};
	

	//缴费信息
	Model.prototype.lessonPaymentDataCustomRefresh = function(event){
	
//		alert("缴费信息 data请求 event.offset"+event.offset)

		var self = this;
		var data = event.source;
		
		// 请求参数 uid 用户名 密码
		var params = {
			"uid" : userData.val('uid'),
			"username" : userData.val('username'),
			"password" : userData.val('password'),
			// 列定义，里面包含列名和列数据类型
			"columns" : data.getColumnIDs(),
			// 分页信息 – 行数
			"limit" : event.limit,
			// 分页信息 – 行偏移
			"offset" : event.offset,
			"student_id" : self.student_id,
			"class_id" : self.class_id

		};

		// /////////////// 请求成功后的回调方法
		var success = function(resultData) {

			// 判断用户验证是否通过
			if (resultData.success) {
				// 成功 继续自己的功能

				if(event.offset==0){
					data.loadData(resultData.classStudent);
				}else{
					data.loadData(resultData.classStudent, true);
				}
				
				
				self.comp("titleBar1").set({
					"title" : self.class_name
				});
				

			} else {
				// 失败 清空登陆状态，跳转到登陆页面 并提示错误代码
				justep.Util.hint(resultData.resultCode);
				// justep.Shell.showPage("login");
			}
		};

		// ///////////////// 发送登陆请求
		justep.Baas.sendRequest({
			"url" : "/school/school", // servlet请求地址
			"action" : "queryAccountByStudentIdAndClassId", // action
			"async" : true,
			"params" : params, // action对应的参数
			"success" : success,
			"error":function(){
				justep.Util.hint("请检查网络连接!");
			}
		});
		

	};


	

	return Model;
});