define(function(require) {
	var $ = require("jquery");
	var justep = require("$UI/system/lib/justep");
	var Button = require("$UI/system/components/justep/button/button");

	var Model = function() {
		this.callParent();
		this.currentColumnId;//
	};

	// 点击广告
	Model.prototype.image1Click = function(event) {

		//1、点击组件增加算定义属性：adnewsid 2、获取自定义属性，打开 对应页面
		var adnewsid = event.currentTarget.getAttribute('adnewsid');
		if (adnewsid) {
			var url = require.toUrl('./news_detail.w?newsid=' + adnewsid);
			justep.Shell.showPage(url);
		}

	};

	// 广告图片轮播
	Model.prototype.newsAdDataCustomRefresh = function(event) {
		
		var self = this;

		// 取得轮播控件
		var carousel = this.comp("carousel1");

		var data = event.source;

		// 机构  广告
		var params = {
				"columns" : data.getColumnIDs(),// 列定义
				"agencyid" : sysAgencyId
		};
		
		// /////////////// 请求成功后的回调方法
		var success = function(resultData) {
			// 判断用户验证是否通过
			if (resultData.success) {
				// 成功 加载栏目数据  
				data.loadData(resultData.result);
				
				////////动态生成展示广告
				data.each(function(obj) {

					//var fImgUrl = require.toUrl(obj.row.val("url"));// 轮播图片地址
					var fImgUrl = obj.row.val("url");// 轮播图片地址
					var img = self.getNewsImageUrl(fImgUrl);
					var adnewsid = obj.row.val("newsid");// 新闻id
					
					if (obj.index == 0) {
						
						//($object.val("newsimg") != undefined)  && ($object.val("newsimg") != "" )
						$(carousel.domNode).find("img").eq(obj.index).attr({
							"src" : img,
							"adnewsid" : adnewsid
						});
					} else {
						carousel.add('<img src="' + img + '" class="image-wall img1"  bind-click="image1Click" adnewsid="' + adnewsid + '"  />');
					}
		
				});

			} else {
				
				// 失败 无广告 释放广告组件
//				justep.Util.hint("获取广告失败!", {
//					"position" : "bottom"
//				});
				//alert("aaa");
				carousel.free();
			}
		};
		

		// ///////////////// 获取广告数据
		justep.Baas.sendRequest({
			"url" : "/school/school", // servlet请求地址
			"action" : "getNewsAd", // action
			"async" : true,
			"params" : params, // action对应的参数
			"success" : success,
				"error":function(){
					justep.Util.hint("请检查网络连接!");
				}
		});



		

		

	};

	// 图片路径转换
	Model.prototype.getImageUrl = function(url) {
		return require.toUrl(url);
	};

	Model.prototype.getNewsImageUrl = function(url) {
		if (url != null && url != "") {
			return imgServerPath + url;
		} else {
			return null;
		}
	};

	// 获取新闻列表数据
	Model.prototype.newsDataCustomRefresh = function(event) {

		var self = this;
		//alert("newsData CustomRefresh 当前栏目id " + this.currentColumnId);


		//存在 当前点击的栏目id 加载此栏目下新闻列表
		if (self.currentColumnId) {
			var data = event.source;
			
	
		
			// 机构 新闻栏目
			var params = {
				"columnid" : self.currentColumnId,
				"columns" : data.getColumnIDs(),// 列定义
				"limit" : event.limit,// 分页信息 – 行数
				"offset" : event.offset// 分页信息 – 行偏移
		
			};
		
			// /////////////// 请求成功后的回调方法
			var success = function(resultData) {
				// 判断用户验证是否通过
				if (resultData.success) {
					// 成功 加载栏目数据  
//					data.loadData(resultData.result);

				if(event.offset==0){
					data.loadData(resultData.result);
				}else{
					data.loadData(resultData.result, true);
				}

					//alert(data.val("newsid",1));
					
//					data.each(function(obj) {
//						//alert(obj.row.val("newsid")+" "+obj.row.val("newsdate")+" "+obj.row.val("newsimg"));
//						});
					
		
			

				} else {
					// 失败 提示错误代码
					justep.Util.hint("获取新闻失败!", {
						"position" : "bottom"
					});
				}
			};
		
		
		

			
			

			// ///////////////// 获取新闻导航栏目数据
			justep.Baas.sendRequest({
				"url" : "/school/school", // servlet请求地址
				"action" : "getNewsList", // action
				"async" : true,
				"params" : params, // action对应的参数
				"success" : success,
					"error":function(){
					justep.Util.hint("请检查网络连接!");
				}
			});
		
		
		
		}

		// http://192.168.1.112:8080/school/imageres/5.jpg

	};

	// 点击新闻
	Model.prototype.li1Click = function(event) {

		var row = event.bindingContext.$object;
		var newsid = row.val('newsid');

		var url = require.toUrl('./news_detail.w?newsid=' + newsid);
		justep.Shell.showPage(url);

	};

	//栏目类别 加载  同时初始化新闻页面
	Model.prototype.navDataCustomRefresh = function(event) {
		var self = this;

		//新闻列表data
		var newsData = this.comp("newsData");

		//nav data
		var navData = event.source;
		
		
		
		
		// 机构 新闻栏目
		var params = {
//			"columnType" :
			"columns" : navData.getColumnIDs(),// 列定义
			"agencyid" : sysAgencyId
	
		};
		
		// /////////////// 请求成功后的回调方法
		var success = function(resultData) {
			// 判断用户验证是否通过
			if (resultData.success) {
				// 成功 加载栏目数据  
				navData.loadData(resultData.result);
				
//				for(var a=1;a<1;a++){
//					navData.add({
//						navid : a,
//						navtitle : a+"推荐"
//					});
//				}
				
				////////////////////// 处理栏目数据
				
				//按钮组 用来添加按钮 
				var navButtonGroup = self.comp('navButtonGroup');
				var navButtonGroupWidth = 0;//按钮组长度
				
				//遍历 栏目标题  数据 
				navData.each(function(options) {
		
					//取得行记录
					var row = options.row;//行
					var rowindex = options.index;//行索引
					var navid = row.val("navid");//栏目id
					var navtitle = row.val("navtitle");//栏目标题
		
					//默认的第一行数据 设置样式  设置this.currentColumnId;
					var btnclass;
					if (rowindex == 0) {
						btnclass = "btn btn-link btn-only-label active";
						//设置栏目id
						self.currentColumnId = navid;
						//在加载新闻数据
						newsData.refreshData();
					} else {
						btnclass = "btn btn-link btn-only-label";
					}
		
					var button = new Button(
		
					{
		
						label : navtitle,
						'class' : btnclass
					//disabled: true//禁用
					});
		
					//添加单击事件  更新新闻列表页
					button.on('onClick', function(event) {
		
						//先清空 newsData
						newsData.clear();
		
						//设置所点击按钮的类别 
						self.currentColumnId = navid;
		
						//在加载新闻数据
						newsData.refreshData();
						
						
						//获取svrollview组件 调用refresh方法
						var sv=self.comp("scrollView1");
						sv.refresh();
						
		
		
					});
					
					//将按钮添加到组件
					justep.Component.addComponent(navButtonGroup.domNode, button);
					
					//计算按钮的宽度
					var a = button.$domNode;
					navButtonGroupWidth+=a[0].scrollWidth+4;
		
				});
				
				//设置ul 长度 为了装按钮
				navButtonGroup.setCSS({width:navButtonGroupWidth+"px"});
		
				
			} else {
				// 失败 提示错误代码
				justep.Util.hint("获取新闻失败!", {
					"position" : "bottom"
				});
			}
		};
		

		// ///////////////// 获取新闻导航栏目数据
		justep.Baas.sendRequest({
			"url" : "/school/school", // servlet请求地址
			"action" : "getNewsColumn", // action
			"async" : true,
			"params" : params, // action对应的参数
			"success" : success,
			"error":function(){
					justep.Util.hint("请检查网络连接!");
				}
		});
		
		
		
	};

	//新闻scrollview 加载更多
	Model.prototype.scrollView1PullUp = function(event){
		var d = this.comp("newsData");
		d.loadNextPageData();
	};

	return Model;

});
